import React, { PropsWithChildren } from 'react';
import { PortalStageContext } from './types';
export declare const StageContext: React.Context<PortalStageContext | null>;
declare function Provider({ mount, unmount, update, children, addManager, removeManager, }: PropsWithChildren<PortalStageContext>): JSX.Element;
export declare function useStageContext(): PortalStageContext;
export default Provider;
